Search documentation of wx

# View Source wxOverlay (wx v2.4.2)

Functions for wxOverlay class

Creates an overlay over an existing window, allowing for manipulations like rubberbanding, etc. On wxOSX the overlay is implemented with native platform APIs, on the other platforms it is simulated using `wxMemoryDC`.

See: `wxDCOverlay`, `wxDC`

wxWidgets docs: wxOverlay

# Summary

## Types

wxOverlay()

## Functions

destroy(This)
new()
reset(This)

Clears the overlay without restoring the former state.

# Types

Link to this type

# wxOverlay()

View Source

    -type wxOverlay() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxOverlay()) -> ok.

Link to this function

# new()

View Source

    -spec new() -> wxOverlay().

Link to this function

# reset(This)

View Source

    -spec reset(This) -> ok when This :: wxOverlay().

Clears the overlay without restoring the former state.

To be done, for example, when the window content has been changed and repainted.